package net.t2code.t2codelib.SPIGOT.system.config.config;

import net.t2code.t2codelib.SPIGOT.system.T2CodeLibMain;
import net.t2code.t2codelib.T2CconfigItem;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;

public class ConvertT2ClibConfig {

    public static  YamlConfiguration yamlConfiguration;


    public static void convert() {
        File config = new File(T2CodeLibMain.getPath(), "config.yml");
        yamlConfiguration = YamlConfiguration.loadConfiguration(config);

        if (!config.exists()) return;
        if (yamlConfiguration.contains("plugin.updateCheck.onJoin")) return;

        set("Plugin.UpdateCheck.OnJoin", T2C_LibConfig.VALUES.updateCheckOnJoin);
        set("Plugin.UpdateCheck.TimeInterval", T2C_LibConfig.VALUES.updateCheckTimeInterval);
        set("Plugin.UpdateCheck.SeePreReleaseUpdates", T2C_LibConfig.VALUES.seePreReleaseUpdates);
        set("Plugin.UpdateCheck.AllPlugins.FullDisable", T2C_LibConfig.VALUES.updateCheckFullDisable);
        set("Plugin.Debug", T2C_LibConfig.VALUES.debug);
        set("Plugin.language", T2C_LibConfig.VALUES.language);
        set("Plugin.Not recommended to disable.developerTool", T2C_LibConfig.VALUES.developerTool);
        set("BungeeCord.Enable", T2C_LibConfig.VALUES.proxy);
        set("Player.Inventories.CloseByServerStop", T2C_LibConfig.VALUES.inventoriesCloseByServerStop);
        set("Command.PermToggle.PermissionSetCommand", T2C_LibConfig.VALUES.updateCheckOnJoin);

        config.delete();
    }

    private static void set(String path, T2CconfigItem item){
        if (yamlConfiguration.contains(path)){
            item.setValue(yamlConfiguration.get(path));
        }
    }
}
